# -*- coding: utf-8 -*
import sys

import os

DATA_PATH = os.path.join(os.curdir, 'data', 'input')


class Base(object):

    def next_batch(self, size=32, test_size=32):
        '''
        获取一批训练数据
        :param size: 每次的数据量
        :return:返回数据 x_train, y_train, x_test, y_test
        '''
        pass

    def get_train_data(self, size=32):
        '''
        获取训练数据
        :param size:
        :return:返回训练数据 x_train, y_train
        '''
        pass

    def get_validation_data(self, size=32):
        '''
        获取验证数据
        :return:返回测试数据 x_test, y_test
        '''
        pass

    def get_all_data(self):
        '''
        获取所有训练数据
        :return:返回所有数据
        '''
        pass

    def next_train_batch(self):
        '''
        获取一批训练数据
        :return:返回所有数据
        '''
        pass

    def next_validation_batch(self):
        '''
        获取一批验证数据
        :return:返回所有数据
        '''
        pass

    def get_train_length(self):
        '''
        获取训练数据长度
        :return:返回所有数据
        '''
        pass

    def get_validation_length(self):
        '''
        获取验证数据长度
        :return:返回所有数据
        '''
        pass
