import os

from flyai.utils.t import Train

train = Train()


def sava_train_model(model_file, overwrite, dir_name=""):
    '''
    把GPU中训练的模型模型，保存到自己的存储空间中
    model_file:模型路径
    overwrite:模型名称相同的时候再上传是否覆盖，True会覆盖，False系统会重新命名
    下载直接使用文件名称下载即可
    dir_name:文件夹名称，可以创建目录，用做斜线划分，目录不要有中文和特殊字符，
    例如:"/data/model" "/mymodel/yolo"
    '''
    train.sava_train_model(model_file, overwrite, dir_name)


def upload_data(data_file, overwrite, dir_name=""):
    '''
    上传GPU训练中需要使用的数据、预训练模型和自己在线训练好的模型到自己的存储空间中
    data_file:数据集的路径
    overwrite:模型名称相同的时候再上传是否覆盖，True会覆盖，False系统会重新命名
    下载直接使用文件名称下载即可
    dir_name:文件夹名称，可以创建目录，用做斜线划分，目录不要有中文和特殊字符
   例如:"/dataset" "/mydata/mnist"
    '''
    train.upload_data(data_file, overwrite, dir_name)


def download(filename, decompression=False):
    '''
    下载线上自己空间中的模型和数据
    :param filename: 要下载的数据或者模型名字
    :param decompression: 是否自动解压
    '''

    train.download(filename, decompression)


def get_space():
    '''
    查看自己的空间信息
    '''
    train.get_space()


def submit(train_name, code_path=os.curdir, cmd='python main.py'):
    '''
    :param train_name: 提交训练的名字
    :param code_path: 提交训练的代码位置，不写就是当前代码目录，也可以上传zip文件
    :param cmd: 在服务器上要执行的命令，多个命令可以用 && 拼接
                如：pip install -i https://pypi.flyai.com/simple keras && python train.py -e=10 -b=30 -lr=0.0003
    '''
    train.submit(train_name, code_path, cmd)
